VelocityServletTest (Velocity 1.4 API)
Keywords: org.apache.velocity.test.VelocityServletTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class VelocityServletTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.velocity.test.VelocityServletTest

All Implemented Interfaces:
  junit.framework.Test

public class VelocityServletTest
extends junit.framework.TestCase

Tests our VelocityServlet implementation.

Author:
  Daniel Rall

Nested Class Summary
`(package private) static class` | `VelocityServletTest.MockHttpServletResponse`
`(package private) static class` | `VelocityServletTest.MockServletConfig`
`(package private) static class` | `VelocityServletTest.MockServletContext`
`(package private) class` | `VelocityServletTest.MockVelocityServlet`

Field Summary

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`VelocityServletTest()` Default constructor.

Method Summary
`void` | `runTest()` Runs the test.
`static junit.framework.Test` | `suite()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VelocityServletTest

    public VelocityServletTest()

  Default constructor.

Method Detail

### suite

    public static junit.framework.Test suite()

### runTest

    public void runTest()

  Runs the test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.